-------------------------------------------------------------------------------
-- ElvUI Chat Tweaks By Lockslap (US, Bleeding Hollow)
-- <Borderline Amazing>, http://ba-guild.com
-- Based on functionality provided by Prat and/or Chatter
-------------------------------------------------------------------------------
local AceLocale	= LibStub:GetLibrary("AceLocale-3.0")
local L			= AceLocale:NewLocale("ElvUI_ChatTweaks", "enUS", true)
if not L then return end

L[" is designed to add a lot of the functionality of full fledged chat addons like Prat or Chatter, but without a lot of the unneeded bloat.  I wrote it to be as lightweight as possible, while still powerful enough to accomplish it's intended function.\n"] = true
L["(%a+) rolls (%d+) %((%d+)%-(%d+)%)"] = true
L["Achievement hyperlinks."] = true
L["Achievements"] = true
L["Add a group say command to automatically to speak in your group (party, raid, battleground)."] = true
L["Add a timestamp to each chat line."] = true
L["Add brackets to own character name in messages."] = true
L["Adds commands to clear the chat frames.\n\n"] = true
L["All Who Data"] = true
L["Allows you to customize the colors of the rolls."] = true
L["Alt-Click Invite"] = true
L["Alt-Click someone's name to invite them to your group."] = true
L["Are you sure you want to clear all name/level data?"] = true
L["Are you sure you want to reset the color to it's default?"] = true
L["Are you sure you want to reset this color to it's default?"] = true
L["Auto Scroll Chat"] = true
L["Auto Scroll Interval"] = true
L["Auto report anyone reaching the spam threshold (3 points)."] = true
L["Automatic Chat Logging"] = true
L["Automatically enable chat logging."] = true
L["Automatically scroll to the bottom of the chat window after X seconds, set via config."] = true
L["Battleground"] = true
L["Battleground Channel"] = true
L["Battleground Leader"] = true
L["Battleground Leader Channel"] = true
L["Battleground Leader Text"] = true
L["Battleground Text"] = true
L["Center"] = true
L["Channel Color Options"] = true
L["Channel Colors"] = true
L["Channel Name Options"] = true
L["Channel Sound Options"] = true
L["Channel Sounds"] = true
L["Character to use between the name and level."] = true
L["Character to use for the closing bracket."] = true
L["Character to use for the opening bracket."] = true
L["Chat Font Options"] = true
L["Chat Fonts"] = true
L["Chat Frame "] = true
L["Choose the method to color the names by."] = true
L["Class"] = true
L["Clear Chat Command"] = true
L["Clear current chat."] = true
L["Clears all chats."] = true
L["Close"] = true
L["Closing Bracket"] = true
L["Closing bracket for timestamp.  Leave blank if you don't want a bracket."] = true
L["Color"] = true
L["Color Levels"] = true
L["Color Losses"] = true
L["Color Names"] = true
L["Color Names By"] = true
L["Color Own Loss"] = true
L["Color Own Rolls"] = true
L["Color Rolls"] = true
L["Color Self"] = true
L["Color for your own character name in messages."] = true
L["Color levels according to quest difficulty."] = true
L["Color of the brackets used to emphasize your name."] = true
L["Color own character name in messages."] = true
L["Color rolls different than the default yellow."] = true
L["Color someone else's loss of the roll game."] = true
L["Color to use for regular rolls."] = true
L["Color to use when someone else loses the roll game."] = true
L["Color to use when you lose the roll game."] = true
L["Color your own loss of the roll game."] = true
L["Colors names based on your chosen method."] = true
L["Colors your own rolls to make them stand out."] = true
L["Confirm Report?"] = true
L["Confirm reporting before actually reporting them."] = true
L["Custom Roll Colors"] = true
L["Death Knight"] = true
L["Default"] = true
L["Default color to use if all else fails."] = true
L["Destroy all data in the class/level table."] = true
L["Disable in Combat"] = true
L["Disable the hovering while in combat."] = true
L["Druid"] = true
L["Dungeon Guide"] = true
L["Dungeon Guide Channel"] = true
L["Dungeon Guide Text"] = true
L["Editbox History"] = true
L["ElvUI Chat Tweaks"] = true
L["ElvUI_ChatTweaks HSVtoRGB failed"] = true
L["Emphasize Self"] = true
L["Enchant hyperlinks."] = true
L["Enchants"] = true
L["Exclude Max Level"] = true
L["Exclude level display for max level characters."] = true
L["Filter AFK Messages"] = true
L["Filter DND Messages"] = true
L["Filter automatic AFK messages."] = true
L["Filter automatic DND messages."] = true
L["Filter certain words or phrases according to your settings.\n\n|cffff0000DOES NOT REPORT THEM!|r"] = true
L["Filtering Options"] = true
L["Filters gold selling, powerleveling, and other services that are against Blizzard's EULA."] = true
L["Filters guild recruitment messages.\n\n|cffff0000DOES NOT REPORT THEM!|r"] = true
L["Filters various channels looking for specific keywords and phrases."] = true
L["Flash Roll Frame"] = true
L["Flashes the roll frame when a new roll is received."] = true
L["Font Face"] = true
L["Font Outline"] = true
L["Font Size"] = true
L["Friends"] = true
L["General Options"] = true
L["General Settings"] = true
L["Glyph hyperlinks."] = true
L["Glyphs"] = true
L["Gold Selling"] = true
L["Group"] = true
L["Group Say Command"] = true
L["Guild"] = true
L["Guild Channel"] = true
L["Guild Recruitment"] = true
L["Guild Text"] = true
L["Hunter"] = true
L["Hyperlink Hovering"] = true
L["Hyperlink Options"] = true
L["Include Level"] = true
L["Include level with the name."] = true
L["Instance Locks"] = true
L["Instance lock hyperlinks."] = true
L["Item hyperlinks."] = true
L["Items"] = true
L["Justification Options"] = true
L["Keyword Filtering"] = true
L["Keywords or Phrases"] = true
L["Left"] = true
L["Level Location"] = true
L["Level Options"] = true
L["Loss Color"] = true
L["Mage"] = true
L["Miscellaneous Filtering"] = true
L["Miscellaneous Options"] = true
L["Moves any rolls to a separate chat frame, and will color your frames differently.\n\nThis is more a feature for me, but you're all welcome to it.  I use this for playing the roll game for gold."] = true
L["Name"] = true
L["Name Display Options"] = true
L["None"] = true
L["Officer"] = true
L["Officer Channel"] = true
L["Officer Text"] = true
L["Open"] = true
L["Opening Bracket"] = true
L["Opening bracket for timestamp.  Leave blank if you don't want a bracket."] = true
L["Other Channels"] = true
L["Outline"] = true
L["Own Loss Color"] = true
L["Own Rolls Color"] = true
L["Paladin"] = true
L["Party"] = true
L["Party Channel"] = true
L["Party Leader"] = true
L["Party Leader Channel"] = true
L["Party Leader Text"] = true
L["Party Text"] = true
L["Play a sound when a message is received in a particular channel."] = true
L["Priest"] = true
L["Quest hyperlinks."] = true
L["Quests"] = true
L["Raid"] = true
L["Raid Channel"] = true
L["Raid Leader"] = true
L["Raid Leader Channel"] = true
L["Raid Leader Text"] = true
L["Raid Text"] = true
L["Raid Warning"] = true
L["Raid Warning Channel"] = true
L["Raid Warning Text"] = true
L["RealID Conversation"] = true
L["RealID Whisper"] = true
L["Regular Roll Color"] = true
L["Remember channel colors by name, rather than number."] = true
L["Remembers the history of the editbox between sessions."] = true
L["Remove Icons"] = true
L["Removes icons from messages to prevent the various objects people try to make."] = true
L["Report"] = true
L["Reporting Options"] = true
L["Reset"] = true
L["Reset All Fonts"] = true
L["Reset Data"] = true
L["Reset Sound Settings"] = true
L["Reset color to default (red)."] = true
L["Reset color to default (yellow)."] = true
L["Reset default color to its default (grayish)."] = true
L["Resets all fonts to their original settings."] = true
L["Right"] = true
L["Rogue"] = true
L["Roll Colors"] = true
L["Roll Frame"] = true
L["Roll Frame Options"] = true
L["Route To"] = true
L["Route the rolls to this chat frame.  Setting this will automatically send all other system messages to ChatFrame1 (main chat frame)."] = true
L["Save all data from large /who queries."] = true
L["Save class data from /who queries."] = true
L["Save class data from friends."] = true
L["Save class data from groups."] = true
L["Save class data from guild."] = true
L["Save class data from target/mouseover."] = true
L["Saving Options"] = true
L["Say"] = true
L["Scroll Reminder"] = true
L["Separator"] = true
L["Set the default font face for the chat frames."] = true
L["Set the font size."] = true
L["Set the outline of the font."] = true
L["Set your own chat font, independant of ElvUI's settings."] = true
L["Sets which side of the name to attach the level, using the separator."] = true
L["Shaman"] = true
L["Shorten Channel Names"] = true
L["Shorten the channel names that ElvUI doesn't do by default.  For example Guild -> G."] = true
L["Show Timestamps"] = true
L["Shows a button to remind you that you have scrolled up."] = true
L["Silent Report"] = true
L["Sound to play when a message in %s is received.\n\n|cff00ff00To disable set to \"None\"|r."] = true
L["Spam Filter"] = true
L["Spell hyperlinks."] = true
L["Spells"] = true
L["Surpress the reporting system message."] = true
L["Talent hyperlinks."] = true
L["Talents"] = true
L["Target/Mouseover"] = true
L["Text Justification"] = true
L["Text for battleground chat."] = true
L["Text for battleground leader chat."] = true
L["Text for dungeon guide text."] = true
L["Text for guild chat."] = true
L["Text for officer chat."] = true
L["Text for party chat."] = true
L["Text for party leader chat."] = true
L["Text for raid chat."] = true
L["Text for raid leader chat."] = true
L["Text for raid warning chat."] = true
L["The color of the timestamp."] = true
L["The color of your rolls."] = true
L["Thick Outline"] = true
L["Time, in seconds, to allow to pass before auto scrolling the chat window back down."] = true
L["Timestamp Color"] = true
L["Timestamp Format"] = true
L["Timestamp Options"] = true
L["Timestamp format."] = true
L["Toggle ability to show tooltip of a hyperlink by hovering over it in the chat frames."] = true
L["Toggle text justification in the chatframes."] = true
L["Triggers"] = true
L["Unit hyperlinks."] = true
L["Units"] = true
L["Warlock"] = true
L["Warrior"] = true
L["Whisper"] = true
L["Who"] = true
L["Will reset all of the sounds back to \"None\"."] = true
L["Words or phrases that will trigger the filter."] = true
L["Yell"] = true
L["|cff%s%s rolls %d (%d-%d)|r"] = true
L["|cff00ff00%s|r or |cff00ff00%s|r %s"] = true
L["|cffffff00Usage: /gkick <name>|r"] = true